/*	Domme3
 *	author: alecss
 *	version: 3.0
 *	licence: CC by-NC, see http://creativecommons.org/licenses/by-nc/3.0/
 *  Original works by martlb and Spielers
 *	Strict Domestic discipline with chastity
 */

def cl = new groovy.lang.GroovyClassLoader();
cl.addClasspath("scripts/Domme3/")
def Domme3 = cl.loadClass("Domme3Class")

def gender = "boy"
if(loadBoolean("intro.female")) gender = "girl"
def endReached = false

def imagePath = Domme3.getImagePath(this)

def image = {
	->
	switch(getRandom(5)) {
		case 0: setImage(imagePath+"Domme27.jpg"); break
		case 1: setImage(imagePath+"Domme28.jpg"); break
		case 2: setImage(imagePath+"Domme29.jpg"); break
		case 3: setImage(imagePath+"Domme45.jpg"); break
		case 4: setImage(imagePath+"Domme9.jpg"); break
	}
}

/* ***** Script Start ***** */

image()
show("")
wait(2)
def reportText = ""
switch(getRandom(5)) {
	case 0: reportText = "What must you do? Let me know it, "+loadString("intro.name")+" ?"; break
	case 1: reportText = "I expect honesty, tell me "+loadString("intro.name")+" !"; break
	case 2: reportText = "Don't forget to tell me everything! Inform me, "+loadString("intro.name")+"!"; break
}

while(!endReached) {
	switch(getSelectedValue(reportText,
		["getting visit",
		 "have to do some shopping",
		 "have to go to my regular work",
		 "have to leave the house",
		 "have to do something else",
		 "I want to quit your regime",
		 "?"])) {
	case 0:
		show("Be polite and generous.\n\nReport back as soon as you are alone again!")
		wait(7)
		showButton("Yes, Miss.")
		save ("domme3.run","leave")
		show("")
		wait(2)
		return
	case 1:
		show("Go shopping now but don't waste any time.\n\n"+
			 "I expect you to be back as soon as you can!")
		wait(2)	 
		showButton("I'm shopping.")
		save ("domme3.run","leave")
		show("")
		wait(2)
		return
	case 2:
		show("I understand.\n\n"+
			 "Make me proud and work hard for the money!\n\n"+
			 "After work I need you here.\n\n"+
			 "Be back as soon as possible.")
		showButton("Gone.")
		save ("domme3.run","leave")
		wait(2)
		return 
	case 3:
		show("I understand.\n\n"+
			 "Whatever you must do, do it quick!\n\n"+
			 "I need you here!\n\n"+
			 "Be back as soon as possible.")
		showButton("Gone.")
		save ("domme3.run","leave")
		wait(2)
		return 
	case 4:
		show("Sure, do what you have to do!\n\n"+
			 "Tell me when you're finished.")
		showButton("I'm finished.")
		endReached = true
		break
	case 5:
		show("You want to quit?????")
		wait(5)
		show("What does that mean?")
		wait(5)
		show("No, ofcourse you can't quit.\n\n"+
			 "You have admitted with the fact that I'm and will be your Strict Domestic Disciplinarian!\n\n"+
			 "You've asked for it!\n\n"+
			 "You've begged for it!")
		showButton("Yes I know, Miss.")
		if(getBoolean("And now you want to quit?")) {
			show("How is that possible?\n\n"+
				 "Do you really believe I will allow you to quit?")
			showButton("yes Miss.")
			show("What a mistake "+loadString("intro.name")+"!\n\n"+
				 "You can't quit until I will be really sure you always will behave as I want in the house!\n\n")
			showButton("yes Miss.")
			show("Therefore you have to do a lot more and behave much better!\n\n"+
				 "Only then, may be, I permit you to quit. Understand?")
			showButton("Yes, Miss.")
			}
		else {
			show("Do not dare to ask me this again, "+loadString("intro.name")+" ....!")
			showButton("Yes Miss.")
		}
		show("You just earned yourself 5 punish points only for thinking about quitting!")
		punish(5)
		showButton("Sorry, Miss.")
		break
	case 6:
		show("Nothing to inform me?\n\nIn that case, \n\ngo do your chores!")
		wait(3)
		showButton("ok")
		return "Domme3/chores"
	default:
		show("?")
		wait(1)
		endReached = true
		break
  } // end switch 
}	// end while


save("domme3.run","domme")
if(Domme3.percentChance(this,70)) {
	wait(2)
	return "Domme3/popup"
}
else {
	wait(2)
	return "Domme3"
}

/*** End of the Script ***/


