public class Domme3Class {

	// Returns percentage chance value
	def static percentChance(main,percent)
	{
		switch(main.getRandom(99)+1){
			case 0..percent:
				return true
			default:
				return false
		}
	}
	
	// Calculate the hour of the day, based on the users late hours
	def static getLateHour(main)
	{
		// Load late hours, and deduct from actual hour
		if(main.load("domme3.latehours")==null) main.save("domme3.latehours", 0)
		def latehours = main.loadInteger("domme3.latehours")
		def hour = Calendar.getInstance().get(Calendar.HOUR_OF_DAY)
		if((hour - latehours) < 0)
		{
			hour = 24 - (hour - latehours)
		}
		else
		{
			hour = hour - latehours
		}
		return hour
	}
	
	// Checks for count of image folders, and returns path for the selected image pack
	def static getImagePath(main)
	{
		// Check for count of image folders, save default if null
		// Return imagepath string
		if(main.load("domme3.dommecount")==null) main.save("domme3.dommecount", 2)
		if(main.load("domme3.dommepack")==null) main.save("domme3.dommepack", main.getRandom(main.loadInteger("domme3.dommecount")-1));
		return "Domme3/Domme"+main.load("domme3.dommepack")+"/"
	}
	
	// Return base image path for script
	def static getBaseImagePath()
	{
		return "Domme3/"
	}
	
	def static image(main)
	{
		def imagePath = getImagePath(main)
		switch(main.getRandom(5)) {
			case 0: main.setImage(imagePath+"Domme46.jpg"); break
			case 1: main.setImage(imagePath+"Domme47.jpg"); break
			case 2: main.setImage(imagePath+"Domme48.jpg"); break
			case 3: main.setImage(imagePath+"Domme49.jpg"); break
			case 4: main.setImage(imagePath+"Domme50.jpg"); break
		}
	}
	
	def static popup(main)
	{
		switch(main.getRandom(9)) {
			case 0: main.showPopup("You have no-one to blame but yourself!\n\n "); break
			case 1: main.showPopup("That's exactly what you need!\n\n "); break
			case 2: main.showPopup("You only have yourself to blame!\n\n "); break
			case 3: main.showPopup("I'll blister your ass!\n\n "); break
			case 4: main.showPopup("Rub your bottom, feel it, are you ashamed of yourself?\n\n "); break
			case 5: main.showPopup("This is how I will keep you in line!\n\n "); break
			case 6: main.showPopup("You got yourself in this position!\n\n "); break
			case 7: main.showPopup("Feel that?\n\nFeel every stroke!\n\n "); break
			case 8: main.showPopup("You only can blame yourself when having a red, sore butt!\n\n "); break
		}
	}	
	
	// Save punish points
	def static punish(main, i)
	{
		def p = 0
		if(main.load("domme3.punish")!=null) p = main.loadInteger("domme3.punish")
		(1..i).each {
		p++
		}
		main.save("domme3.punish",p)
	}
	
	// Save reward points
	def static reward(main, i)
	{
		def r = 0
		if(main.loadInteger("domme3.reward")!=null) r = main.loadInteger("domme3.reward")
		(1..i).each {
		r++
		}
		main.save("domme3.reward",r)
	}

	// Spanking, without any extra display or countdown
	def static spank(main, message, spanks, time, popup=null)
	{
		main.show(message)
		sleep(2000)
		def severity = main.loadInteger("domme3.severity")
		spanks = spanks * severity
		int integ = time * 1000
		(1..spanks).each {
			main.playBackgroundSound("swat.wav")
			sleep(integ)
		}
		if (popup==true)
		{
			if(percentChance(main,15)) {
			image(main)
			popup(main)
			}
		}
	}

	// Spanking, with count increasing on screen
	def static spanksp(main, message, spanks, time)
	{
		def severity = main.loadInteger("domme3.severity")
		spanks = spanks * severity
		def x = 0
		main.show(message+"\n\n"+x)
		sleep(3000)
		int integ = time * 1000
		(1..spanks).each {
			x++
			main.show(""+message+"\n\n"+x)
			main.playBackgroundSound("swat.wav")
			sleep(integ)
		}
	}

	// Spanking, with decreasing punish point display
	def static spankpp(main, pp, message, spanks, time)
	{
		main.show(pp+"\n\n"+message+"\n\n. .")
		sleep(2000)
		def severity = main.loadInteger("domme3.severity")
		spanks = spanks * severity
		def x = spanks
		def t = 0
		(1..spanks).each {
			main.show(pp+"\n\n"+message+"\n\n."+x+".")
			main.playBackgroundSound("swat.wav")
			x--
			t=main.showButton("please....",time)
			if(t<time) {
				switch(main.getRandom(4)) {
					case 0:	main.show("Not nearly there yet. Stay down and take it!"); break
					case 1:	main.show("This will teach you to behave!"); break
					case 2:	main.show("This will teach you to do your chores!"); break
					case 3:	main.show("Nothing corrects a man like a sound spanking does!"); break
				}	
				sleep(7000)
				main.showButton("Stop, please!")
				main.show("Not a chance!\n\nThis is punishment!\n\nGo on, take it!")
				sleep(2000)
				main.showButton("Yes, Miss.")
			}	
		}
		return 0
	}	

	// Makes the user wait, with a countdown display
	def static waitWithCountDown(main, time)
	{
		def startTime = main.getTime()
		def waitedTime = main.getTime()-startTime
		while ( waitedTime < time ) {
			int minutes = (time - waitedTime) / 60
			int seconds = (time - waitedTime) % 60
			def minutesExtraDigit = ""
			if (minutes < 10) minutesExtraDigit = "0"
			def secondsExtraDigit = ""
			if (seconds < 10) secondsExtraDigit = "0"
			main.show( minutesExtraDigit + minutes + ":" + secondsExtraDigit + seconds )
			waitedTime = main.getTime()-startTime
		}
	}
	
	// Returns a random liquid to moisturise with
	def static getRandomLotion(main)
	{
		def lotions = ["baby oil","moisturiser","olive oil"]
		return lotions[main.getRandom(lotions.size)]
	}	
	
	// Dynamic text display, with speed value
	def static showDynamically(main, message, textSpeed)
	{
		if (textSpeed <= 0) textSpeed = 0.1
		def appearedMessage = ""
		for (c in message) {
			appearedMessage += c
			main.show(appearedMessage)
			sleep(textSpeed)
		}
	}
	
	// Gets a random spanking implement 
	// Uses the Banjo implements list
	def static getRandomImplement(main)
	{
		def implementsnames = []
		
		def items = ["hairbrush", "hairbrush_plastic", "hairbrush_paddle", "bathbrush", 
			"wooden_spoon", "spatula", "spatula_wooden", "ruler", "flyswatter", 
			"bat", "bat_flyback", "bat_jokari", "bat_beach", 
			"slipper", "plimsoll", "sandal", "sneaker", 
			"paddle", "paddle_holes", "paddle_lexan", "paddle_plastic", 
			"paddle_leather", "paddle_rubber", "slapper", 
			"belt", "strap", "strap_studded", "strap_loop", "tawse", 
			"crop", "martinet", "flogger", "cat_o_nine", "whip", "penis_whip", 
			"cane", "cane_heavy", "cane_otk", "cane_loop", "cane_plastic",
			"rod", "duster", "switch", "birch"]
			
		def names = ["hairbrush", "plastic hairbrush", "paddle hairbrush", "bathbrush", 
			"wooden spoon", "rubber spatula", "wooden spatula", "ruler", "flyswatter", 
			"table tennis bat", "paddleball bat", "battledore bat", "beach tennis bat", 
			"slipper", "plimsoll", "sandal", "sneaker", 
			"wooden paddle", "paddle with holes", "lexan paddle", "plastic paddle", 
			"leather paddle", "rubber paddle", "leather slapper",
			"belt", "strap", "studded strap", "loop strap", "tawse", 
			"riding crop", "martinet", "flogger", "cat-o-nine-tails", "whip", "penis whip", 
			"light cane", "heavy cane", "short cane", "loop cane", "plastic cane", 
			"curtain rod", "duster handle", "switch", "birch rod"]
			
		int count = 0
		items.each {
			def i = main.loadBoolean("toys."+it)
			if(i==true)
			{
				implementsnames.add(names[count])
			}
			count++
		}
		
		def selected = "hand"
		if(implementsnames.size>0)
		{
			selected = implementsnames[main.getRandom(implementsnames.size)]
		}

		return selected
	}
	
	// Gets a random sex toy for penetration
	def static getRandomInsert(main)
	{
		def sextoynames = []
		
		def items = ["ben_wa_balls", "buttplug", "candle", "dildo", 
			"inflatable_buttplug", "vibrating_buttplug", "vibrating_dildo", "vibrator",
			"buttplug", "buttplug", "buttplug"]
			
		def names = ["Ben Wa balls", "butt plug", "candle", "dildo", 
			"inflatable butt plug", "vibrating butt plug", "vibrating dildo", "vibrator", 
			"butt plug", "butt plug", "butt plug"]
		// Butt plug is repeated several times, and sizes randomised later.	
		int count = 0
		items.each {
			def i = main.loadBoolean("toys."+it)
			if(i==true)
			{
				sextoynames.add(names[count])
			}
			count++
		}
		
		def selected = ""
		if(sextoynames.size>0)
		{
			selected = sextoynames[main.getRandom(sextoynames.size)]
			
			if(selected=="butt plug") 
			{
				def plugsize = ["small", "medium", "large", "largest"]
				selected = plugsize[main.getRandom(plugsize.size)]+" "+selected
			}
			if(selected=="inflatable butt plug")
			{
				selected += ". Pump it up "+main.getRandom(6)+" times. If it vibrates too, turn it on"
			}
		}
		
		return selected
	}
	
	// Detects if the user likes being a sissy male, or has access to suitable attire
	def static sissy(main)
	{
		def returnVal = false
		def points = 0
		def gender = "boy"
		if(main.loadBoolean("intro.female")) gender = "girl"
		if(gender=="boy")
		{
			if(main.load("toys.dildo")==true)
			{
				points += 5
			}
			if(main.load("toys.lipstick")==true)
			{
				points += 5
			}
			if(main.load("clothes.boots")==true)
			{
				points += 5
			}
			if(main.load("clothes.bra")==true)
			{
				points += 10
			}
			if(main.load("clothes.high_heels")==true)
			{
				points += 10
			}
			if(main.load("clothes.make_up")==true)
			{
				points += 10
			}
			if(main.load("clothes.panties")==true)
			{
				points += 5
			}
			if(main.load("clothes.pantyhose")==true)
			{
				points += 10
			}
			if(main.load("clothes.stockings")==true)
			{
				points += 10
			}
			if(main.load("clothes.tights")==true)
			{
				points += 10
			}
		}
		if(points>60) returnVal = true
		
		return returnVal
	}
	
	def static beepSound(main)
	{
		main.playSound("Domme3/beep.wav")
		def name = main.loadString("intro.name")
		def gender = "boy"
		if(main.loadBoolean("intro.female")) gender = "girl"
		def messages46 = ["Okay, "+name+", time's up.","Alright, "+gender+", time's up.","SLAVE! Time's up."]
		main.show(messages46[main.getRandom(3)])
	}
	
	def static tomSound(main, time, strokes)
	{
		int integ = time * 1000
		(1..(strokes)).each {
			sleep(integ)
			main.playSound("tom.wav")
		}
	}
	
	def static kink(main, route)
	{
		
		def imagePath = getImagePath(main)
		def endReached = false
		def gender = "boy"
		if(main.loadBoolean("intro.female")) gender = "girl"
		while(!endReached)
		{
			switch(main.getRandom(7)) {
				case 0:
					main.show("")
					sleep(1000)
					main.save("domme3.kink",0)
					endReached = true
					break
				case 1:
					if((route=="chores") || (route=="eat"))
					{
						def notoys = false
						main.setImage("Domme3/toys/buttplug.png")
						if(main.loadFirstTrue("toys.buttplug","toys.inflatable_buttplug","toys.vibrating_buttplug")==null) 
						{
							main.show("I want your ass plugged now.\n"+
								"If you have a buttplug add it to your toy list and use it!\n"+
								"If you don't have one stick something else in your butt. Maybe a candle or a carrot\n"+
								"You can use some lube\n\n"+
								"Do it, for me!")	
								notoys = true
							sleep(10000)
						}
						else
						{
							if(route=="chores")
							{
								main.show("I want your ass plugged when doing your next chore.\n\n"+
								 "Got it?")
							
							}
							else if(route=="eat")
							{
								main.show("I want your ass plugged when you enjoy your meal.\n")
							}
							sleep(5000)
						}
						
						def insert = ""
						def lub = ["Plug your ass, now.\n\n"+
								"No lube, no spit, no nothing.\n\n"+
								 "Just do it!",

								"Plug your ass, now.\n\n"+
								"No lube, but you can use some spit."+
								 "Do it!",

								"Plug your ass, now.\n\n"+
								"You may use some lube."]
						if(notoys == false)
						{
							insert = getRandomInsert(main)
						}
						else
						{
							insert = "improvised dildo."
							lub = ["You can use some lube", "You can use some spit", "You can use some lube"]
						}
						
						main.show("Use your "+insert+".")
						main.showButton("Yes, Mistress.")
						sleep(1000)
						main.show(lub[main.getRandom(3)])
						main.showButton("My ass is plugged.")
						main.setImage(imagePath+"Domme9.jpg")
						main.show("Good. Get used to a plugged ass!")
						sleep(5000)
						main.save("domme3.kink",1)
						endReached = true
					}
					break
				case 2:
					if((route=="chores") || (route=="eat"))
					{
						int i2=0
						if(main.loadBoolean("toys.nipple_clamps")!=true) 
						{
							i2 = 0
						}
						else
						{
							i2 = main.getRandom(2)
						}
						switch (i2) 
						{
							case 0:
								main.setImage("Domme3/toys/clothes-pin.jpg")
								main.show("I want your nipples decorated.\n\n"+
									(main.getRandom(5)+2)+" per nipple, got it?")
								sleep(5000)
								main.show("Clip them on your nipples, now.")
								sleep(1000)
								main.showButton("Have clothes-pins on my nipples.")
								main.setImage(imagePath+"Domme9.jpg")
								main.save("domme3.kink",2)
								break
							case 1:
								main.setImage("Domme3/toys/nipple_clamps("+main.getRandom(4)+").jpg")
								main.show("I want your nipples decorated..\n\n"+
									"Got it?")
								main.showButton("Yes Miss.")
								main.show("Clip them on your nipples, now.")
								sleep(1000)
								main.showButton("Have nipple clamps on my nipples.")
								main.setImage(imagePath+"Domme9.jpg")
								main.save("domme3.kink",22)	
								break
						}
						main.show("Good. Love to see you wearing them!")
						sleep(5000)
						endReached = true
					}
					break
				case 3:
					if((route=="chores") || (route=="eat"))
					{
						main.setImage(imagePath+"Domme45.jpg")
						main.show("Undress partially!\n\n"+
							 "I want you to remove at least one clothing item.\n\n"+
							 "Choose yourself. It may be a sock, underwear, shirt but you have to remove at least something!")
						sleep(1000)
						main.showButton("I've removed something, Miss.")	
						sleep(1000)
						main.save("domme3.kink",3)
						endReached = true
					}
					break
				case 4:
					if((route=="chores") || (route=="eat"))
					{
						main.setImage(imagePath+"Domme45.jpg")
						main.show("Undress!\n\n"+
							 "I want you totally naked.")
						sleep(1000)
						main.showButton("I'm naked, Miss.")	
						sleep(1000)
						main.save("domme3.kink",4)
						endReached = true
					}
					break
								
				case 5:
					if(main.loadInteger("domme3.kink")!=5)
					{
						main.setImage(imagePath+"Domme45.jpg")
						main.show("I want you to wear a collar!\n\n"+
							 "Go get a collar and put it on.\n\n"+
							 "If you don't have one, use a belt.")
						sleep(1000)
						main.showButton("I've got my collar on, Miss.")	
						sleep(1000)
						main.save("domme3.kink",5)
						endReached = true
					}
					break
				case 6: 
					if(route=="chores")
					{
						if(gender=="boy") 
						{
							main.setImage(imagePath+"Domme45.jpg")
							main.show("Remove the bottom half of your clothing,\n\n"+
								"you need to be naked below the waist.")
							sleep(1000)
							main.showButton("Done, Mistress.")
							def text = "Now I want you to put on a ball parachute, \n\n"+
								"or if you don't have one, tie some rope around your balls.\n\n"+
								"Not too tight, and leave a loop of rope free."
							if(main.loadBoolean("domme3.chastity")==true)
							{
								text += "\n\n. If your chastity prevents this, tie to the device instead."
							}
							main.show(text)
							sleep(2000)
							def t = main.showButton("Done, Mistress.")
							if(t<30)
							{
								main.show("Cheater!\n\n"+
									"This can't be done that fast!\n\n"+
									"You get 2 punish points assigned!\n\n"+
									"I want you to do it as I expect you to do it!")
								sleep(4000)
								punish(main, 2)
								main.showButton("Sorry, done now Miss.")
							}
							sleep(3000)
							main.show("Attach some weights to those balls, improvise if you don't have any.")
							sleep(2000)
							main.showButton("Done, Miss.")
							main.show("Now go do your next chore.")
							sleep(1000)
							main.save("domme3.kink", 6)
							endReached = true
						}
						else
						{
							main.setImage(imagePath+"Domme45.jpg")
							main.show("Remove the bottom half of your clothing,\n\n"+
								"you need to be naked below the waist.")
							sleep(1000)
							main.showButton("Done, Mistress.")
							if(main.loadBoolean("toys.nipple_clamps")==true) 
							{
								main.show("Now I want you to put some clamps on your labia, \n\n"+
								"and attach some light weights.")
							}
							else if ((main.loadBoolean("toys.clothespins")==true) || (main.loadBoolean("toys.clothpins")==true))
							{
								def randomInt = main.getRandom(5)
								def text = "Now I want you to put some clothes pins on your labia, \n\n"+
								", hmm, how about "+randomInt+" each side."
								if(main.loadBoolean("domme3.chastity")==true)
								{
									text += "\n\n. If your chastity prevents this, put them on your nipples instead."
								}
								main.show(text)
							}
							else
							{
								def randomInt = main.getRandom(5)
								main.show("Put "+randomInt+" ice cubes up your ass.")
							}
							sleep(2000)
							def t = main.showButton("Done, Mistress.")
							if(t<20)
							{
								main.show("Cheater!\n\n"+
									"This can't be done that fast!\n\n"+
									"You get 2 punish points assigned!\n\n"+
									"I want you to do it as I expect you to do it!")
								sleep(4000)
								punish(main, 2)
								main.showButton("Sorry, done now Miss.")
							}
							sleep(3000)
							main.show("Attach some weights to those balls, improvise if you don't have any.")
							sleep(2000)
							main.showButton("Done, Miss.")
							main.show("Now go do your next chore.")
							sleep(1000)
							main.save("domme3.kink", 6)
							endReached = true
						}
					}
					break
				case 7:
					if(route=="chores")
					{
						main.show("Get one of the following: deep heat, icy hot, ben gay, toothpaste.\n\n"+
							"Your choice, or whatever you have to hand.")
						sleep(2000)
						main.showButton("I have it Mistress.")
						sleep(1000)
						def messages = [ "Rub some on your nipples.", "Rub some around your asshole.",
							"Put some on your finger and stick it up your ass."]
						main.show(messages[main.getRandom(3)])
						sleep(5000)
						main.show("Now go do your next chore.")
						main.save("domme3.kink", 7)
						endReached = true
					}
					break
				case 8:
					if(route=="eat")
					{
						main.setImage("Domme3/toys/puppy.jpg")
						main.show("I want you to be a good puppy\n"+
							"You are only allowed to eat your food from a bowl on the ground and on all fours.")
						sleep(2000)
						main.showButton("I will be a great puppy.")

						main.show("First you need a collar. \n\n"+
								"Get your collar, or use a belt if you don't have one.\n\n"+
								"If you don't, put it on your shopping list!\n\n"+
								"Remember, you're a puppy, you now crawl everywhere on all fours!")
						sleep(5000)
						main.showButton("I'm wearing my collar Miss.")
						sleep(4000)
						
						main.show("Good "+gender+". A good puppy always wears a collar.\n\n"+
							"If you really want to impress me, get a namebadge made for your collar.")
						sleep(6000)
						
						main.show("Now strip, puppies don't wear clothes.")
						main.showButton("I'm naked, Miss.")
						sleep(3000)

						main.show("You need also a nice tail.\n\n"+
							"Insert a plug tail, if you have one. If you don't have one, be creative and find or make a nice tail. Maybe a carrot with green foliage.")
						sleep(2000)
						main.showButton("I have a nice tail inserted Miss.")
						
						def messages8 = ["Wag your tail for me! Show how happy you are to be my little puppy! I want to see some enthusiasm, and don't stop until I say!","Wag your tail, puppy, hard as you can. I want to see an excited little puppy. Don't stop until I say!"]
						main.show(messages8[main.getRandom(2)])
						sleep(1000*(20+getRandom(40)))
						
						main.show("Okay, my little puppy-dog, that's enough of that for now.")
						sleep(2000)
						
						main.show("To make sure you will not use your hands, go get a pair of socks.\n\n"+
							"No hands! When you get them put them over your hands.")
						sleep(2000)
						main.showButton("Yes, Miss.")
						main.save("domme3.kink",8)
						endReached = true
					}
					break
				case 9:
					if((route=="chores") || (route=="eat"))
					{
						if(main.loadBoolean("toys.ben_wa_balls")==true)
						{
							main.show("Insert your ben wa balls.")
							sleep(2000)
							main.showButton("Done, Mistress.")
							sleep(2000)
							if(route=="chores")
							{
								main.show("Go do your chores!")
								sleep(2000)
							}
							else 
							{
								main.show("Go have your meal.")
								sleep(2000)
							}
							main.save("domme3.kink",9)
							endReached = true
						}
					}
					break
				case 10:
					if(route=="eat")
					{
						if(percentChance(main,main.load("domme3.hml")))
						{
							main.show("You are not worthy to eat with cutlery\n\n"+
								"You are only allowed to eat with your hands!\n"+
								"NO knife, NO fork, NO spoon.\n only use your hands.\n\n"+
								"Let's hope you aren't having soup *mischief grin*")
							sleep(1000)
							main.save("domme3.kink",0)
							main.showButton("I understand Miss.")
							
						}
						endReached = true
					}
					break
				case 11:
				
					if(main.loadBoolean("toys.nipple_clamps")==true)
					{
						main.setImage(imagePath+"Domme45.jpg")
						main.show("Undress!\n\n"+
							"You need to be totally naked for this task.")
						sleep(1000)
						main.showButton("I'm naked, Miss.")
						sleep(1000)
						main.setImage("Domme3/toys/nipple_clamps(1).jpg")
						main.show("Put your nipple clamps on. \n\n"+
							"You get to choose which type, but the heavier the better.\n\n"+
							"Attach some light weights if you are able.")
						sleep(5000)
						main.showButton("Done, Mistress.")
						main.setImage(imagePath+"Domme45.jpg")
						main.show("Start doing star jumps "+gender+". \n\n"+
							"Keep in time with the beat!")
						tomSound(main, 2, 10)
						main.show("Keep going, bit faster now!")
						tomSound(main, 1.2, 10)
						main.show("Faster! Get those nipple clamps jumping!")
						tomSound(main, 0.6, 20)
						main.show("Enough, well done "+main.load("intro.name")+".")
						sleep(2000)
						main.showButton("Thank you, Mistress.")
						main.show("You may remove the clamps and get dressed.")
						sleep(2000)
						main.showButton("Done Mistress.")
						endReached = true
					}
					break
				case 12:
					main.show("Pinch your nipples.")
					sleep(5000)
					main.show("Keep pinching, massaging and squeezing them!")
					sleep(main.getRandom(25) * 1000)
					main.show("You do like that don't you? "+
						"Naughty "+gender+"!")
					sleep(7000)
					main.show("Stop. \n\nThat's enough!")
					endReached = true
					break
				case 13:
					main.show("Go get a dildo or another penis shaped object.")
					sleep(3000)
					main.showButton("I have it, Mistress.")
					main.show("Good, "+gender+". Now start licking it gently.")
					sleep(3000)
					main.show("Get it nice and wet, "+main.load("intro.name")+".")
					sleep(3000)
					main.show("Keep going, up and down, make sure you get all over that hard cock.")
					sleep(4000)
					main.show("Now deep throat it, I want it deep in your mouth,\n\n"+
						"can you take it all? Keep fucking your mouth with it, wait for the bell.")
					sleep(1000*(60+main.getRandom(120)))
					main.playSound("bell.wav")
					sleep(1000)
					main.show("Good "+gender+". Now put it away, my little cock sucking slut.")
					sleep(2000)
					main.showButton("Done, Mistress.")
					endReached = true
					break
			}
		}
	}
	
	def static kinkundo(main)
	{
		def imagePath = getImagePath(main)
		int k = main.loadInteger("domme3.kink")
		def gender = "boy"
		if(main.loadBoolean("intro.female")) gender = "girl"
		switch(k) {
			case 0:
				main.show("")
				break
			case 1:	
				main.show("Unplug your ass.\n\n"+
					 "Clean it.")
				sleep(1000)
				main.showButton("Done, Miss.")
				switch(main.getRandom(2)) {
					case 0:
						if(main.getBoolean("Did you enjoy a plugged ass?")) {
							main.show("Well, very good to know that.\n\n"+
								 "I certainly will order you to do it more often!")
							sleep(5000)
						}
						else {
							main.show("Well, get used to it!\n\n"+
								 "I certainly will order you to do it more often!")
							sleep(5000)
						}
					case 1:
						main.show("")
						break
				}		
			break
			case 2:
				switch(main.getRandom(3)) {
					case 0: main.show("Pull the pins off your nipples.\n\nIt will make them more sensitive..."); break
					case 1: main.show("You may take the pins off your nipples now."); break
					case 2: main.show("Pull the pins off your nipples.\n\nYes, I know it hurts.\n\nJust do it!"); break
				}	
				sleep(1000)
				main.showButton("Done, Miss.")
				break
			case 22:
				switch(main.getRandom(3)) {
					case 0: main.show("Pull the clamps off your nipples.\n\nIt will make them more sensitive..."); break
					case 1: main.show("You may take the clamps off your nipples now."); break
					case 2: main.show("You may remove the nipple clamps and put them away."); break
				}	
				sleep(1000)
				main.showButton("Done, Miss.")
				break
			case 3:
				switch(main.getRandom(2)) {
					case 0: main.show("Put everything on, again.\n\n"+
								 "Make sure you look adorable, for me!"); break
					case 1: main.show("Put the removed item on, again.\n\n"+
								 "Make sure you look presentable!"); break
				}
				sleep(1000)
				main.showButton("Done, Miss.")
				break
			case 4:
				switch(main.getRandom(2)) {
					case 0: main.show("You may put on your clothes again."); break
					case 1: main.show("Dress again. Make sure you look presentable."); break
				}
				sleep(1000)
				main.showButton("Done, Miss.")
				break	
			case 5:
				switch(main.getRandom(2)) {
					case 0: main.show("Remove your collar.\n\n"+
								 "Store it where it belongs!"); break
					case 1: main.show("Remove your collar.\n\n"+
								 "Put it back."); break
				}
				sleep(1000)
				main.showButton("Done, Miss.")
				break
			case 6:
				main.show("You may remove your accessories and get dressed again.")
				sleep(1000)
				main.showButton("Done, Mistress.")
				break
			case 7:
				main.show("You may clean yourself off now "+gender+", you may tingle for a while after though!")
				sleep(1000)
				main.showButton("Done, Miss.")
				break
			case 8:
				main.show("You're such a nice puppy. Maybe I should leave you like that a little bit longer?")
				sleep(2000)
				main.showButton("No, please.")
				main.show("Okay you can stand up and be a normal "+gender+" again, for now.")
				sleep(2000)
				main.showButton("Thank you.")
				main.show("You may remove your puppy regalia carefully and clean it.")
				sleep(2000)
				main.showButton("I cleaned my tail and removed it.")
				break
			case 9:
				main.show("Take your ben wa balls out and clean them!")
				sleep(1000)
				main.showButton("Done, Miss.")
				break
				
		}
		main.save("domme3.kink",0)
		switch(main.getRandom(4)) {
			case 0:
				if(main.getBoolean("I hope you did the whole chore with a smile! \n\nDid you complain about it?")) {
					main.show("I'm not happy with that. One punish point! \n\n "+
						"Get used to it. I don't allow you to complain! \n\n "+
						"You have to learn to do everything with a smile!"	)
					sleep(10000)
					main.show("One punish point for you!")
					sleep(5000)
					punish(main,1)
				}
				else {
					main.show("Good. \n\nI don't expect anything else!")
					sleep(5000)
				}
				break
			case 1:	
				if(main.getBoolean("I trust you did do everything I told you! \n\nOr did you fail to do as I told you?")) {
					main.show("I'm not happy with that. Two punish points! \n\n "+
						"I need to rely on you!\n\n "+
						"I expect you to do as I tell you!"	)
					sleep(10000)
					main.show("Two punish points for you!")
					sleep(5000)
					punish(main,2)
				}
				else {
					main.show("Good. \n\nI don't expect anything else!")
					sleep(5000)
				}
				break
			case 2:
				if(!main.getBoolean("Did you do the whole chore without complaining?\n\nDid you do it with a smile?")) {
					main.show("I'm not happy with that. One punish point! \n\n "+
						"Get used to it. I don't allow you to complain! \n\n "+
						"You've to learn to do everything with a smile!"	)
					sleep(10000)
					main.show("One punish point for you!")
					sleep(5000)
					punish(main,1)
				}
				else {
					main.show("Good. \n\nI don't expect anything else!")
					sleep(5000)
				}
				break
			case 3:	
				if(!main.getBoolean("I trust you didn't fail or miss something! \n\nDid you do everything as I told you?")) {
					main.show("I'm not happy with that. Two punish points! \n\n "+
						"I need to rely on you!\n\n "+
						"I expect you to do as I tell you!"	)
					sleep(10000)
					main.show("Two punish points for you!")
					sleep(5000)
					punish(main,2)
				}
				else {
					main.show("Good. \n\nI don't expect anything else!")
					sleep(5000)
				}
				break	
		}	
	}				

}