/*	Domme3
 *	author: alecss
 *	version: 3.0
 *	licence: CC by-NC, see http://creativecommons.org/licenses/by-nc/3.0/
 *  Original works by martlb and Spielers
 *	Strict Domestic discipline with chastity
 */

def cl = new groovy.lang.GroovyClassLoader();
cl.addClasspath("scripts/Domme3/")
def Domme3 = cl.loadClass("Domme3Class")

def gender = "boy"
if(loadBoolean("intro.female")) gender = "girl"
def endReached = false
def day = Calendar.getInstance().get(Calendar.DAY_OF_MONTH)
def hour = Domme3.getLateHour(this)
int chores = +loadInteger("domme3.chores.todo")-loadInteger("domme3.chores.done")

int setconfession = +loadInteger("domme3.setconfession")
int setdiscipline = +loadInteger("domme3.setdiscipline")
int setmaintenance = +loadInteger("domme3.setmaintenance")
int setpunishment = +loadInteger("domme3.setpunishment")

int dassignment = loadInteger("domme3.dassignment")
int dexercise = loadInteger("domme3.dexercise")
int dhumiliation = loadInteger("domme3.dhumiliation")
int dlinewriting = loadInteger("domme3.dlinewriting")
int dreading = loadInteger("domme3.dreading")
int dselfcare = loadInteger("domme3.dselfcare")
int dspanking = loadInteger("domme3.dspanking")
def noreward = 0

def chastitystart = load("domme3.chastitystart")
def chastitydays = loadInteger("domme3.chastitydays")
def chastitystartdate = new Date((long)chastitystart * 1000).format("dd, MMM, yyyy")

def imagePath = Domme3.getImagePath(this)

def image = {
	->
	switch(getRandom(5)) {
		case 0: setImage(imagePath+"Domme27.jpg"); break
		case 1: setImage(imagePath+"Domme28.jpg"); break
		case 2: setImage(imagePath+"Domme29.jpg"); break
		case 3: setImage(imagePath+"Domme45.jpg"); break
		case 4: setImage(imagePath+"Domme9.jpg"); break
	}
}


/* ***** Script Start ***** */

image()
show("")
wait(2)
def reportText = ""
switch(getRandom(5)) {
	case 0: reportText = "What do you want to report, "+loadString("intro.name")+" ?"; break
	case 1: reportText = "I expect honesty, tell me "+loadString("intro.name")+" !"; break
	case 2: reportText = "What naughty things have you been done? Do tell "+loadString("intro.name")+"!"; break
	case 3: reportText = "Confess what you've done and I'll deliver the punishment you so richly deserve!"; break
	case 4: reportText = "You know you've been bad....  Tell me about it!"; break
}

while(!endReached) {
	switch(getSelectedValue(reportText,
		["report for confession",
		 "report for discipline",
		 "report for evaluation",
		 "report for maintenance",
		 "report for punishment",
		 "report for corner time",
		 "?"])) {
	case 0:
		show("")
		wait(1)
		save("domme3.run","confess")
		if(Domme3.percentChance(this,80)) {
					return "Domme3/popup"
				}
				else {
					wait(1)
					return "Domme3/confess"
				}
		break
	case 1:
		show("You need discipline ....\n\n")
		wait(7)
		save("domme3.run","discipline")
		if(Domme3.percentChance(this,80)) {
					return "Domme3/popup"
				}
				else {
					wait(1)
					return "Domme3/discipline"
				}
		break
	case 2:
		show("Evaluation ....\n\n")
		wait(7)
		switch(hour) {
			case 5..17: show("It's not the time for evaluation!\n\n"+
							 "This should be done at the end of the day.")
						wait(3)
						showButton("Yes, Miss.")
						break
			case 18..21: show("Let's check your behaviour of today....\n\n"+
							  "What do you think...\n\nPunishment or reward?")
						 wait(7)
						 showButton("Please, Miss.")
						 image()
						 show("Let's have a look at your status...")
						 wait(7)
						 show("Your status:\n\n"+
							  "Chores done today:&nbsp;&nbsp; "+loadInteger("domme3.chores.done")+"\n"+
							  "Chores to do today:&nbsp;&nbsp; "+chores+ "\n\n"+
							  "Daily selfcare done:&nbsp;&nbsp; "+dselfcare+ "\n"+
							  "Daily exercise done:&nbsp; "+dexercise+ "\n"+
							  "Daily line writing done: &nbsp; "+dlinewriting+"\n"+
							  "Daily spanking done:&nbsp; "+dspanking+ "\n\n"+
							  "Punish points:&nbsp;&nbsp;"+loadInteger("domme3.punish")+ "\n"+
							  "Reward points: "+loadInteger("domme3.reward")+ "\n\n\n")
						 wait(7)
						 showButton("yes, Miss?")
						 if(getBoolean("Do you think I'm satisfied with that?")) {
							image()
							show("Let's check.")
							save("domme3.evaluation",1)
							wait(7)
							if(dassignment>0) {
								if(getBoolean("Your daily assignment...\n\nDid you do it as I expect you to follow it?")) {
									show("Good!")
									wait(7)
								}
								else {
									show("One punish point for you!")
									Domme3.punish(this,1)
									wait(7)
									noreward = 1
								}	
							}
							else {
								show("You forgot your daily assignment!")
								wait(7)
								show("One punish point for you!")
								Domme3.punish(this,1)
								wait(7)
								noreward = 1
							}
							if(dselfcare>0) {
								show("You've done your daily self-care.\n\nVery well. \n")
								wait(7)
							}
							else {
								show("You didn't do your daily self-care!\n\nWhy?"+
									 "One punish point for you.")
								Domme3.punish(this,1)
								wait(7)
								show("Do it first and then report for evaluation again.")
								wait(7)
								noreward = 1
							}
							if(dexercise>0) {
								show("You've done your daily exercise.\n\nVery well. \n")
								wait(7)
							}
							else {
								show("You didn't do your daily exercise!\n\nWhy?"+
									 "One punish point for you.")
								Domme3.punish(this,1)
								wait(7)
								show("Do it first and then report for evaluation again.")
								wait(7)
								noreward = 1
							}
							if(dlinewriting>0) {
								show("You've done your daily line writing.\n\nVery well. \n")
								wait(7)
							}
							else {
								show("You didn't do your daily line writing!\n\nWhy?"+
									 "One punish point for you.")
								Domme3.punish(this,1)
								wait(7)
								show("Do it first and then report for evaluation again.")
								wait(7)
								noreward = 1
							}
							if(dspanking>0) {
								show("You've reported for your daily spanking, good!\n\n")
								wait(7)
							}
							else {
								show("You forgot to report for your daily spanking.\n\nYou need it!\n\nOne punish point for you.")
								Domme3.punish(this,1)
								wait(7)
								show("Do it first and then report for evaluation again.")
								wait(7)
								break
							}								
							image()
							wait(3)
							if (setdiscipline == 1) {
								show("I told you to report for discipline.\n\nYou are very disobedient to ignore this!\n\nWhy?")
								wait(10)
								showButton("I don't know, Miss.")
								show("Do it first and then report for evaluation again.\n\nAnd you earned yourself 3 punish points!")
								wait(3)
								Domme3.punish(this,3)
								showButton("Yes, Miss.")
								break
							}
							if (setmaintenance == 1) {
								show("I told you to do a maintenance spanking.\n\nYou are very obedient to ignore this!\n\nWhy?")
								wait(10)
								showButton("I don't know, Miss.")
								show("Do it first and then report for evaluation again.\n\nAnd you earned yourself 2 punish points!")
								wait(3)
								Domme3.punish(this,2)
								showButton("Yes, Miss.")
								break
							}
							if (setconfession == 1) {
								show("I told you to do a confession.\n\nYou are very obedient to ignore this!\n\nWhy?")
								wait(10)
								showButton("I don't know, Miss.")
								show("Do it first and then report for evaluation again.\n\nAnd you earned yourself 2 punish points!")
								wait(3)
								Domme3.punish(this,2)
								showButton("Yes, Miss.")
								break
							}
							if (setpunishment == 1) {
								show("I told you to report for punishment.\n\nYou are very obedient to ignore this!\n\nWhy?")
								wait(10)
								showButton("I don't know, Miss.")
								show("Do it first and then report for evaluation again.\n\nAnd you earned yourself 2 more punish points!")
								wait(3)
								Domme3.punish(this,2)
								showButton("Yes, Miss.")
								break
							}
							show("I give you 3 reward points for doing your daily tasks!")
							Domme3.reward(this,3)
							showButton("Thank you, Miss.")
							if(chores<=0) {
								show("Yes, you have done all your chores!\n\nVery good.")
								wait(7)
								show("I give you 3 extra reward points for your work today.\n\n"+
									"Let's collect them and have some fun!")
								Domme3.reward(this,3)
								save("domme3.devaluation", 1)
								wait(3)
								show("You have passed your daily evaluation. Well done "+gender+".")
								wait(4)
								if(loadBoolean("domme3.chastity")==true)
								{
									if(chastitydays>0)
									{
										show("1 day off your remaining chastity, "+gender+".")
										chastitydays--
										save("domme3.chastitydays", chastitydays)
										wait(3)
										if(chastitydays==0)
										{
											show("This was your last day in your chastity sentence! \n\n"+
												"Well done "+load("intro.name")+", you made it!")
											save("domme3.chastitydays", 0)
											wait(5)
											show("Ask me for your chastity release.")
											wait(3)
										}
										else
										{
											show("You now have "+chastitydays+" left. ")
											wait(4)
										}
									
									}
								
								}
								wait(3)
								if(noreward==1) {
									show("Ah! pity enough you didn't perform your daily tasks as expected!")
									wait(7)
									show("No fun for you today!\n\n"+
										 "Do your daily tasks and you get rewarded!\n\n"+
										 "If you don't... accept the consequences!")
									wait(7)
									showButton("Yes, Miss.")
									show("Tomorrow I want a better performance!")
									wait(7)	
									showButton("Yes, Miss.")
									wait(2)
									break
								}
								if(getBoolean("Do you want to play?")) {
									show("Yes, right, let's play!\n\n"+
										 "Choose wisely...")
									showButton("Yes, Thank you, Miss.")
									save("domme3.run","fun")
									if(Domme3.percentChance(this,80)) {
										return "Domme3/popup"
									}
									else {
										wait(2)
										return "Domme3/fun"
									}
								}
								else {
									show("Looser!\n\nAs you wish.")
									wait(7)
								}	
							}	
							else {
								show("You haven't done all your chores!")
								wait(7)
								show("Let's deal with them first.\n\nGrab the brush!\n\nBare your ass!")
								wait(7)
								showButton("ready, Miss")
								show("Start smacking hard, alternating cheeks!, with the sound.")
								wait(3)
								(1..chores).each {
									Domme3.spank(this,"Do your chores!",10,1)
								}
								show("Make sure you do all your chores next time!\n\n"+
									 "No reward for you today.\n\nI even add "+chores+" punish points!")
								Domme3.punish(this,chores)
								wait(3)
								showButton("Sorry, Miss.")
								wait(2)
							}
						}	
						 else {
							show("Right.\n\nI do not!")
							showButton("I'm sorry, Miss.")
							image()
							wait(7)
							show("Yes, you'll be sorry!\n\n"+
								 "Fifteen, yes, fifteen punish points for you!")
							Domme3.punish(this,15)
							wait(7)
							show("Report for discipline!")
							save("domme3.setdiscipline",1)
							wait(7)
							showButton("Yes, Miss.")
							wait(2)
						}	
						 break
			case 22..23: show("Too late!\n\n"+
							  "Do you think I have the whole night for you?")
						 wait(7)
						 showButton("No, i'm sorry, Miss.")
						 image()
						 wait(7)
						 show("Yes, you'll be sorry!\n\n"+
							  "Ten, yes you heard me, Ten punish points for you!")
						 Domme3.punish(this,10)
						 wait(7)
						 show("Report for discipline!")
						 save("domme3.setdiscipline",1)
						 wait(7)
						 showButton("Yes, Miss.")
						 wait(2)
						 break
			default:	 show("Much too late!\n\n"+
							  "Do you think I have the whole night for you?")
						 wait(7)
						 showButton("No, i'm sorry, Miss.")
						 image()
						 wait(7)
						 show("Yes, you'll be sorry!\n\n"+
							  "Fifteen, yes you heard me, fifteen punish points for you!")
						 Domme3.punish(this,15)
						 wait(7)
						 show("Report for discipline!")
						 save("domme3.setdiscipline",1)
						 wait(7)
						 showButton("Yes, Miss.")
						 wait(2)
						 break
			}
			save("domme3.run","domme")
			if(Domme3.percentChance(this,40)) {
				wait(2)
				return "Domme3/popup"
			}
			else {
				wait(2)
				return "Domme3"
			}
		break
	case 3:
		switch(getRandom(3)) {
			case 0:
				show("There is only one way to teach a "+gender+" like yourself how to behave.")
				wait(12)
				showButton("Yes, Miss.")
				break
			case 1:
				show("Only one method to teach you how to behave is effective,\n\n"+
					 "isn’t it "+gender+"?")
				wait(12)
				showButton("Yes, Miss.")
				break
			case 2:
				show("We both know what sort of guidance is required, don’t we?\n\n"+
					 "Yes indeed we do!")
				wait(12)
				showButton("Yes, Miss.")
				break	
		}	
		save("domme3.run","maintenance")
		if(Domme3.percentChance(this,80)) {
					return "Domme3/popup"
				}
				else {
					wait(2)
					return "Domme3/maintenance"
				}
		show("")
		wait(2)
		return "Domme3/maintenance"
	case 4:
		switch(getRandom(5)) {
			case 0: 	show("You have been a naughty, disobedient "+gender+"?\n\n"+
						 "Pants down now for the butt blistering you've earned!")
					wait(12)
					showButton("Yes, Miss.")
					break
			case 1: show("You need consequences, in the form of a pants down, butt-blistering, bare-bottom punishment spanking.\n\n"+
						"I believe in good old-fashioned butt whippings for naughty "+gender+"s like you.\n\n"+
						"With me, you're never too old for a sound thrashing right across your naked backside.")
					wait(12)
					showButton("Yes, Miss.")
					break
			case 2: show("This will be a real, authentic disciplinary punishment.\n\n"+
						 "You have been guilty of irresponsible, inexcusable behaviour?\n\n"+
						 "Accept the punishment you know you deserve.")
					wait(12)
					showButton("Yes, Miss.")
					break
			case 3: show("Your butt doesn't want to feel the pain and discomfort of a serious walloping \n"+
						 " but your brain knows that without Accountability and Consequences, \n"+
						 "you'll never stop slacking off.")
					wait(12)
					showButton("Yes, Miss.")
					break
			case 4: show("Punishment spankings should be painful.\n\n"+
						 "You've been bad.\n\n"+
						 "Now it's time to pay.\n\n")
					wait(12)
					showButton("Yes, Miss.")
					break
		}
		save("domme3.run","punish")
		if(Domme3.percentChance(this,80)) {
					return "Domme3/popup"
				}
				else {
					wait(2)
					return "Domme3/punishment"
				}
		break
	case 5:
		show("Corner time is good for naughty boys and girls.\n\n"+
			"It helps remind them of their place, and gets the mind racing!")
		wait(6)
		show("Bare your bottom, corner time should always be done with your ass on show.")
		showButton("Done, Miss.")
		switch(getRandom(3)) {
			case 0: show("Get used to it! \n\nCorner time is good for you."); break
			case 1: show("Reflect yourself and think of me. \n\nHow much you love me."); break
			case 2: show("Use the time productively.\n\nFocus on what you will do to better yourself."); break
		}
		wait(7)
		switch(getRandom(5)) {
			case 0:	show("You will put your hands on your backside. \n\n"+
						 "Nose touching the wall!")
					break
			case 1:	show("Nose against the wall.\n\n"+
						 "Put your hands on your head.")
					break
			case 2:	show("Nose against the wall.\n\n"+
						 "Put your hands on your back.")
					break
			case 3: show("Hold a coin against the wall with your nose.\n\n"+
						"Hands behind your back.")
					break
			case 4: show("Legs spread wide, nose against the wall.\n\n"+
						"Stretch your arms above your head, palms on the wall.")
		}	
		image()	
		wait(3)
		showButton("Yes, Miss.")		
		switch(getRandom(3)) {
			case 0:
				show("Go and wait for my bell!\n\n"+
					 "Don't move!")
				break
			case 1:
				show("In the corner ...\n\nStay there until I let you know you with the sound of the bell you can come out!")
				break
			case 2:
				show("Nose in the corner, don't move and wait for my bell!")
				break
		}	
		switch(getRandom(3)) {
					case 0: wait(300); break
					case 1: wait(240); break
					case 2: wait(180); break
				}	
				playSound("bell.wav")
				show("")
				showButton("Yes, Miss?")
				if (getBoolean("Did you manage to follow every instruction exactly?")) {
					show("Good "+gender+"!\n\nOne reward point.")
					Domme3.reward(this,1)
					wait(7)
				}
				else {
					show("Too bad! \n\n4 punish points!")
					Domme3.punish(this,4)
					wait(7)
				}	
				wait(2)	
		show("")
		wait(7)
		break
	case 6:
		show("In that case; \n\nGo do your chores!")
		showButton("ok")
		return "Domme3/chores"	
	default:
		show("?")
		wait(1)
		break
	endReached = true
  } // end switch 
}	// end while


save("domme3.run","domme")
if(Domme3.percentChance(this,40)) {
	wait(2)
	return "Domme3/popup"
}
else {
	wait(2)
	return "Domme3"
}

/*** End of the Script ***/


